VERSION 5.00
Begin VB.Form Principal2 
   AutoRedraw      =   -1  'True
   BackColor       =   &H00FFFFC0&
   Caption         =   "Calculation of tourmaline components"
   ClientHeight    =   10230
   ClientLeft      =   735
   ClientTop       =   630
   ClientWidth     =   14640
   FillColor       =   &H0000C0C0&
   ForeColor       =   &H00000000&
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   10230
   ScaleWidth      =   14640
   WindowState     =   2  'Maximized
   Begin VB.CommandButton Fin 
      Caption         =   "&Exit"
      BeginProperty Font 
         Name            =   "Arial Narrow"
         Size            =   15.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1335
      Left            =   8760
      TabIndex        =   3
      Top             =   7800
      Width           =   4335
   End
   Begin VB.CommandButton Ajustes 
      Caption         =   "TourComp &Settings"
      BeginProperty Font 
         Name            =   "Arial Narrow"
         Size            =   15.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1335
      Left            =   1440
      TabIndex        =   2
      Top             =   7800
      Width           =   4335
   End
   Begin VB.CommandButton DatosFichero 
      Caption         =   "TourComp Data by &File"
      BeginProperty Font 
         Name            =   "Arial Narrow"
         Size            =   15.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1335
      Left            =   8760
      TabIndex        =   1
      Top             =   5880
      Width           =   4335
   End
   Begin VB.CommandButton DatosTeclado 
      BackColor       =   &H00FF0000&
      Caption         =   "TourComp Data by &Keyboard"
      BeginProperty Font 
         Name            =   "Arial Narrow"
         Size            =   15.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1335
      Left            =   1440
      TabIndex        =   0
      Top             =   5880
      Width           =   4335
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      BackColor       =   &H00C0C0C0&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00000000&
      Height          =   3255
      Left            =   2880
      TabIndex        =   4
      Top             =   1680
      Width           =   8775
   End
   Begin VB.Menu Ayuda 
      Caption         =   "&Help"
   End
   Begin VB.Menu Sobre 
      Caption         =   "&About..."
   End
End
Attribute VB_Name = "Principal2"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Ajustes_Click()

   Dim I As Integer
   CaptionText1 = "CALCULATION OF TOURMALINE COMPONENTS. SETTINGS"
   CaptionText2 = ""
   CaptionText3 = "Introduction of number of decimal places and tolerance"
   CaptionText4 = ""
   CaptionText5 = "The number of decimal places is introduced in order to show the final results. Calculations will be made in double precision."
   CaptionText6 = ""
   CaptionText7 = "The tolerance is the absolute value of the difference between 1 and the sum of the components and it is introduced in order to decide if the final components may be readjusted."
   Settings!Label1Settings.Caption = Chr$(13) & CaptionText5 & Chr$(13) & CaptionText6 & Chr$(13) & CaptionText7
   Settings!Label2Settings.Caption = Chr$(13) & CaptionText1 & Chr$(13) & CaptionText2 & Chr$(13) & CaptionText3
   For I = 1 To 6
       Settings!Decimales.AddItem I
       Settings!Tolerancia.AddItem 1 / 10 ^ I
   Next
   Settings!Decimales.ListIndex = 2
   Settings!Tolerancia.ListIndex = 2
   Settings.Show 1
      
End Sub

Private Sub Ayuda_Click()

   Espacio = " "
   CaptionText1 = "CALCULATION OF TOURMALINE COMPONENTS. HELP."
   AyudaPrograma!Label1Ayuda.Caption = CaptionText1
   CaptionText2 = Chr$(13) & "The data are introduced directly by keyboard. This option is useful for calculating few cases."
   CaptionText3 = "After introducing the data, tourmaline components will be obtained and the results can be saved into a file."
   CaptionText4 = "If the absolute value between 1 and the sum of the components is greater than tolerance (see Settings), the option of adjusting to 1 will be available."
   AyudaPrograma!Label2Ayuda.Caption = CaptionText2 & Chr(10) & Espacio & Chr(10) & CaptionText3 & Espacio & Chr(10) & Chr(10) & CaptionText4 & Chr(10) & Espacio & Chr(10) & CaptionText5
   CaptionText5 = Chr$(13) & "In this option you must introduce the names of the file containing the data and the file where the results will be saved."
   CaptionText6 = "IMPORTANT: The input file must be saved in ASCII format (*.dat or *.txt) with '.' as decimal point and the values must be separate by commas or a blank space. Furthermore, the data must be arranged according to the following order: "
   CaptionText7 = "     Si, Al, Ti, Fe2, Fe3, Mg, Mn, Ca, Na, K, Cr, Li, F and V."
   CaptionText8 = "The results will be saved in ASCII format (*.dat or *.txt). "
   CaptionText9 = "In a *.log file, the errors/warnings obtained from the data or after the calculation will be showed."
   AyudaPrograma!Label3Ayuda.Caption = CaptionText5 & Chr(10) & Espacio & Chr(10) & CaptionText6 & Espacio & Chr(10) & Chr(10) & CaptionText7 & Chr(10) & Espacio & Chr(10) & CaptionText8 & Espacio & CaptionText9
   CaptionText10 = Chr$(13) & "You can choose the number of decimal places for showing the results (calculations will be made in double precision) and the tolerance."
   AyudaPrograma!Label4Ayuda.Caption = CaptionText10
   AyudaPrograma.Show 1
   
End Sub

Private Sub DatosFichero_Click()
     
   Almacen = 0
   Calculados = 0
   Principal2.Hide
   DatosPorFichero.Show
    
End Sub

Private Sub DatosTeclado_Click()

   Almacen = 0
   Calculados = 0
   IntroManual.Show

End Sub

Private Sub Fin_Click()
   End
End Sub

Private Sub Form_Load()
   
   ChDir App.Path
   ChDrive App.Path
   Load DatosPorFichero
   Load IntroManual
   Dec = 3
   Pre = 1000
   Tol = 0.001
   CaptionText0 = ""
   CaptionText1 = "CALCULATION OF TOURMALINE COMPONENTS. Ver 1.0."
   CaptionText2 = ""
   CaptionText3 = "A. PESQUERA"
   CaptionText4 = ""
   CaptionText5 = "F. TORRES"
   CaptionText6 = ""
   CaptionText7 = "J. TORRES-RUIZ"
   CaptionText8 = ""
   CaptionText9 = "P.P. GIL-CRESPO"
   CaptionText10 = ""
   CaptionText11 = "(This version is optimized for 1024x768 pixels)"
   Label1.Caption = CaptionText0 & Chr$(10) & CaptionText1 & Chr$(10) & Chr$(10) & CaptionText2 & CaptionText3 & CaptionText4 & Chr$(10) & Chr$(10) & CaptionText5 & Chr$(10) & Chr$(10) & CaptionText6 & CaptionText7 & Chr$(10) & Chr$(10) & CaptionText8 & CaptionText9 & CaptionText10 & Chr$(10) & Chr$(10) & CaptionText11
      
End Sub

Private Sub Form_Resize()

   Label1.Left = (Width - Label1.Width) / 2
   DatosTeclado.Left = (Width / 2 - DatosTeclado.Width) / 2
   Ajustes.Left = (Width / 2 - Ajustes.Width) / 2
   DatosFichero.Left = Width / 2 + (Width / 2 - DatosFichero.Width) / 2
   Fin.Left = Width / 2 + (Width / 2 - Fin.Width) / 2
   Label1.Top = (Height / 2 - Label1.Height) / 2
   DatosTeclado.Top = Height / 2 + (Height / 4 - DatosTeclado.Height) / 5
   DatosFichero.Top = Height / 2 + (Height / 4 - DatosFichero.Height) / 5
   Ajustes.Top = 3 * Height / 4 + (Height / 4 - Ajustes.Height) / 10
   Fin.Top = 3 * Height / 4 + (Height / 4 - Fin.Height) / 10

End Sub

Private Sub Sobre_Click()
    
    CaptionText1 = "CALCULATION OF TOURMALINE COMPONENTS. Ver. 1.0"
    CaptionText2 = ""
    CaptionText3 = "A. PESQUERA"
    CaptionText4 = "Department of Mineralogy and Petrology. University of Pais Vasco."
    CaptionText5 = "F. TORRES"
    CaptionText6 = "Department of Statistics and Operations Research. University of Granada."
    CaptionText7 = "J. TORRES-RUIZ"
    CaptionText8 = "Department of Mineralogy and Petrology. University of Granada."
    CaptionText9 = "P.P. GIL-CRESPO"
    CaptionText10 = "Department of Mineralogy and Petrology. University of Pais Vasco."
    frmAbout!lblAbout.Caption = CaptionText1 & Chr$(10) & CaptionText2 & Chr$(10) & CaptionText3 & Chr$(10) & Chr$(10) & CaptionText4 & Chr$(10) & Chr$(10) & CaptionText5 & Chr$(10) & Chr$(10) & CaptionText6 & Chr$(10) & Chr$(10) & CaptionText7 & Chr$(10) & Chr$(10) & CaptionText8 & Chr$(10) & Chr$(10) & CaptionText9 & Chr$(10) & Chr$(10) & CaptionText10
    frmAbout.Show 1
    
End Sub


